#include "pipe_accessor.h"

#include <string.h>

PipeAccessor::PipeAccessor()
: Accessor(0)
{
}

/* Perform any closing operation on the file. */

void PipeAccessor::close()
{
}

/* Perform any opening operation on the file. */

void PipeAccessor::open()
{
}

/* Data transfer helper methods. */

void PipeAccessor::fill_populated(Flexpage *flexpage)
{
    offset_t filepos = flexpage->base_offset;
    offset_t addr = flexpage->base_addr;

    /* Tag the region with file state. */

    flexpage->region->fill(fileid, filepos);

    /* File the flexpage with zero. */

    memset((void *) addr, 0, flexpage->size);
}

void PipeAccessor::flush_populated(Flexpage *flexpage)
{
    flexpage->region->flush();
}

// vim: tabstop=4 expandtab shiftwidth=4
