#pragma once

#include "accessor.h"

/* A block file accessor, providing flexpages corresponding to the regions of
   loaded files. */

class BlockFileAccessor : public Accessor
{
protected:
    char *_data;

    /* Data transfer helper methods. */

    virtual void fill_populated(Flexpage *flexpage);

    virtual void flush_populated(Flexpage *flexpage);

public:
    explicit BlockFileAccessor(const char *path, fileid_t fileid);

    virtual void set_size(offset_t size);
};

// vim: tabstop=4 expandtab shiftwidth=4
